package com.qmth.qrzk.repository.user.model;

import java.util.Date;

/**
 * 试题附件实体类
 * @author 钟辉
 *
 */
public class QuestionAttachment {
	private int id;				//编号
	private int parentId;		//父对象id
	private int parentType;		//父对象
	private String extension;	//附件类型
	private String name;		//附件名称
	private int size;			//附件大小(字节)
	private String checkCode;	//校验码
	private byte[] content;		//附件内容
	private Date createdTime;	//创建时间
	private int createdBy;		//创建人
	public int getParentId() {
		return parentId;
	}
	public void setParentId(int parentId) {
		this.parentId = parentId;
	}
	public int getParentType() {
		return parentType;
	}
	public void setParentType(int parentType) {
		this.parentType = parentType;
	}
	public String getExtension() {
		return extension;
	}
	public void setExtension(String extension) {
		this.extension = extension;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getSize() {
		return size;
	}
	public void setSize(int size) {
		this.size = size;
	}
	public String getCheckCode() {
		return checkCode;
	}
	public void setCheckCode(String checkCode) {
		this.checkCode = checkCode;
	}
	public byte[] getContent() {
		return content;
	}
	public void setContent(byte[] content) {
		this.content = content;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public int getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(int createdBy) {
		this.createdBy = createdBy;
	}
	public int getId() {
		return id;
	}
	public QuestionAttachment(int parentId, int parentType, String extension,
			String name, int size, String checkCode, byte[] content,
			Date createdTime, int createdBy) {
		super();
		this.parentId = parentId;
		this.parentType = parentType;
		this.extension = extension;
		this.name = name;
		this.size = size;
		this.checkCode = checkCode;
		this.content = content;
		this.createdTime = createdTime;
		this.createdBy = createdBy;
	}
	public QuestionAttachment() {
		super();
		// TODO Auto-generated constructor stub
	}
}
